<?php
/**
 * @file
 * Alter views.
 */

/**
 * Implements hook_views_data().
 */
function commerce_rma_ui_views_data_alter(&$data) {
  if (isset($data['commerce_order'])) {
    // Expose the "Return products" link.
    $data['commerce_order']['return_products_link'] = array(
      'title'  => t('Return products', array(), array('context' => 'a drupal commerce return')),
      'help'   => t('Return your products from a specified order.'),
      'field'  => array(
        'handler'        => 'commerce_rma_handler_field_order_return_link',
        'click sortable' => TRUE,
      ),
      'filter' => array(
        'handler' => 'views_handler_filter_string',
      ),
      'sort'   => array(
        'handler' => 'views_handler_sort',
      ),
    );

    // Expose the customized return status for a commerce_return.
    $data['commerce_order']['return_status'] = array(
      'title'    => t('Return Status'),
      'help'     => t('Display the status from a specified return.'),
      'field'    => array(
        'handler'        => 'commerce_rma_handler_field_return_return_status',
        'click sortable' => TRUE,
      ),
      'filter'   => array(
        'handler' => 'commerce_rma_handler_filter_return_return_status',
      ),
      'sort'     => array(
        'handler' => 'views_handler_sort',
      ),
      'argument' => array(
        'handler' => 'views_handler_argument_string',
      ),
    );

    $data['commerce_order']['return_empty_text'] = array(
      'title' => t('Empty text'),
      'help' => t('Displays an appropriate empty text message for return lists.'),
      'area' => array(
        'handler' => 'commerce_rma_handler_area_empty_text',
      ),
    );

    // Expose operation links for commerce_return.
    $data['commerce_order']['return_operations'] = array(
      'field' => array(
        'title'   => t('Returns Operations links'),
        'help'    => t('Display all the available operations links for the return.'),
        'handler' => 'commerce_rma_handler_field_return_return_operations',
      ),
    );
  }

  if (isset($data['commerce_line_item'])) {
    // Expose return reasons markup.
    $data['commerce_line_item']['return_reasons'] = array(
      'title'  => t('Return reasons', array(), array('context' => 'a drupal commerce return')),
      'help'   => t('Display the return reason from a line item.'),
      'field'  => array(
        'handler'        => 'commerce_rma_handler_field_line_item_return_reasons',
        'click sortable' => FALSE,
      ),
    );

    // Expose return status markup.
    $data['commerce_line_item']['return_status'] = array(
      'title'  => t('Return status', array(), array('context' => 'a drupal commerce return')),
      'help'   => t('Display the return status from a line item.'),
      'field'  => array(
        'handler'        => 'commerce_rma_handler_field_line_item_return_status',
        'click sortable' => FALSE,
      ),
    );
  }
}
