<?php

/**
 * @file
 * Default views for commerce_return bundle.
 */

/**
 * Implements hook_views_default_views().
 */
function commerce_rma_ui_views_default_views() {
  $views = array();

  // Default view to display user returns list.
  $view = new view();
  $view->name = 'user_returns';
  $view->description = 'Display a list of completed return for a user.';
  $view->tag = 'commerce';
  $view->base_table = 'commerce_order';
  $view->human_name = 'User returns';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['title'] = 'Returns';
  $handler->display->display_options['access']['type'] = 'rma';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = 25;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['grouping'] = array(
    0 => array(
      'field'          => 'order_number_1',
      'rendered'       => 1,
      'rendered_strip' => 0,
    ),
  );
  $handler->display->display_options['style_options']['columns'] = array(
    'order_number'         => 'order_number',
    'order_number_1'       => 'order_number_1',
    'created'              => 'created',
    'changed'              => 'changed',
    'commerce_order_total' => 'commerce_order_total',
    'status'               => 'status',
  );
  $handler->display->display_options['style_options']['default'] = 'order_number';
  $handler->display->display_options['style_options']['info'] = array(
    'order_number'         => array(
      'sortable'           => 1,
      'default_sort_order' => 'desc',
      'align'              => '',
      'separator'          => '',
      'empty_column'       => 0,
    ),
    'order_number_1'       => array(
      'sortable'           => 1,
      'default_sort_order' => 'desc',
      'align'              => '',
      'separator'          => '',
      'empty_column'       => 0,
    ),
    'created'              => array(
      'sortable'           => 1,
      'default_sort_order' => 'desc',
      'align'              => '',
      'separator'          => '',
      'empty_column'       => 0,
    ),
    'changed'              => array(
      'sortable'           => 1,
      'default_sort_order' => 'desc',
      'align'              => '',
      'separator'          => '',
      'empty_column'       => 0,
    ),
    'commerce_order_total' => array(
      'sortable'           => 0,
      'default_sort_order' => 'asc',
      'align'              => '',
      'separator'          => '',
      'empty_column'       => 0,
    ),
    'status'               => array(
      'sortable'           => 1,
      'default_sort_order' => 'asc',
      'align'              => '',
      'separator'          => '',
      'empty_column'       => 0,
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 1;
  $handler->display->display_options['style_options']['empty_table'] = 0;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['text']['id'] = 'text';
  $handler->display->display_options['empty']['text']['table'] = 'views';
  $handler->display->display_options['empty']['text']['field'] = 'area';
  $handler->display->display_options['empty']['text']['empty'] = FALSE;
  $handler->display->display_options['empty']['text']['content'] = 'You have not placed any returns with us yet.';
  $handler->display->display_options['empty']['text']['format'] = 'plain_text';
  $handler->display->display_options['empty']['text']['tokenize'] = 0;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['commerce_order_reference_target_id']['id'] = 'commerce_order_reference_target_id';
  $handler->display->display_options['relationships']['commerce_order_reference_target_id']['table'] = 'field_data_commerce_order_reference';
  $handler->display->display_options['relationships']['commerce_order_reference_target_id']['field'] = 'commerce_order_reference_target_id';
  $handler->display->display_options['relationships']['commerce_order_reference_target_id']['required'] = 1;
  /* Field: Commerce Order: Order ID */
  $handler->display->display_options['fields']['order_id']['id'] = 'order_id';
  $handler->display->display_options['fields']['order_id']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['order_id']['field'] = 'order_id';
  $handler->display->display_options['fields']['order_id']['label'] = '';
  $handler->display->display_options['fields']['order_id']['exclude'] = TRUE;
  $handler->display->display_options['fields']['order_id']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['order_id']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['order_id']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['order_id']['alter']['external'] = 0;
  $handler->display->display_options['fields']['order_id']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['order_id']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['order_id']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['order_id']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['order_id']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['order_id']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['order_id']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['order_id']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['order_id']['alter']['html'] = 0;
  $handler->display->display_options['fields']['order_id']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['order_id']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['order_id']['hide_empty'] = 0;
  $handler->display->display_options['fields']['order_id']['empty_zero'] = 0;
  $handler->display->display_options['fields']['order_id']['hide_alter_empty'] = 1;
  /* Field: Commerce Order: Order number */
  $handler->display->display_options['fields']['order_number']['id'] = 'order_number';
  $handler->display->display_options['fields']['order_number']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['order_number']['field'] = 'order_number';
  $handler->display->display_options['fields']['order_number']['label'] = 'Return number';
  $handler->display->display_options['fields']['order_number']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['order_number']['alter']['make_link'] = 1;
  $handler->display->display_options['fields']['order_number']['alter']['path'] = 'user/!1/returns/[order_id]';
  $handler->display->display_options['fields']['order_number']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['order_number']['alter']['external'] = 0;
  $handler->display->display_options['fields']['order_number']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['order_number']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['order_number']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['order_number']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['order_number']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['order_number']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['order_number']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['order_number']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['order_number']['alter']['html'] = 0;
  $handler->display->display_options['fields']['order_number']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['order_number']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['order_number']['hide_empty'] = 0;
  $handler->display->display_options['fields']['order_number']['empty_zero'] = 0;
  $handler->display->display_options['fields']['order_number']['hide_alter_empty'] = 1;
  /* Field: Commerce Order: Order number */
  $handler->display->display_options['fields']['order_number_1']['id'] = 'order_number_1';
  $handler->display->display_options['fields']['order_number_1']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['order_number_1']['field'] = 'order_number';
  $handler->display->display_options['fields']['order_number_1']['relationship'] = 'commerce_order_reference_target_id';
  $handler->display->display_options['fields']['order_number_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['order_number_1']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['order_number_1']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['order_number_1']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['order_number_1']['alter']['external'] = 0;
  $handler->display->display_options['fields']['order_number_1']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['order_number_1']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['order_number_1']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['order_number_1']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['order_number_1']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['order_number_1']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['order_number_1']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['order_number_1']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['order_number_1']['alter']['html'] = 0;
  $handler->display->display_options['fields']['order_number_1']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['order_number_1']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['order_number_1']['hide_empty'] = 0;
  $handler->display->display_options['fields']['order_number_1']['empty_zero'] = 0;
  $handler->display->display_options['fields']['order_number_1']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['order_number_1']['link_to_order'] = 'customer';
  /* Field: Commerce Order: Created date */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['label'] = 'Created';
  $handler->display->display_options['fields']['created']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['created']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['created']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['created']['alter']['external'] = 0;
  $handler->display->display_options['fields']['created']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['created']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['created']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['created']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['created']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['created']['alter']['html'] = 0;
  $handler->display->display_options['fields']['created']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['created']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['created']['hide_empty'] = 0;
  $handler->display->display_options['fields']['created']['empty_zero'] = 0;
  /* Field: Commerce Order: Updated date */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['external'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['changed']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['changed']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['html'] = 0;
  $handler->display->display_options['fields']['changed']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['changed']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['changed']['hide_empty'] = 0;
  $handler->display->display_options['fields']['changed']['empty_zero'] = 0;
  /* Field: Commerce Order: Total to refund */
  $handler->display->display_options['fields']['commerce_order_total']['id'] = 'commerce_order_total';
  $handler->display->display_options['fields']['commerce_order_total']['table'] = 'field_data_commerce_order_total';
  $handler->display->display_options['fields']['commerce_order_total']['field'] = 'commerce_order_total';
  $handler->display->display_options['fields']['commerce_order_total']['label'] = 'Total to Refund';
  $handler->display->display_options['fields']['commerce_order_total']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['commerce_order_total']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['commerce_order_total']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['commerce_order_total']['alter']['external'] = 0;
  $handler->display->display_options['fields']['commerce_order_total']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['commerce_order_total']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['commerce_order_total']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['commerce_order_total']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['commerce_order_total']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['commerce_order_total']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['commerce_order_total']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['commerce_order_total']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['commerce_order_total']['alter']['html'] = 0;
  $handler->display->display_options['fields']['commerce_order_total']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['commerce_order_total']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['commerce_order_total']['hide_empty'] = 0;
  $handler->display->display_options['fields']['commerce_order_total']['empty_zero'] = 0;
  $handler->display->display_options['fields']['commerce_order_total']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['commerce_order_total']['click_sort_column'] = 'amount';
  $handler->display->display_options['fields']['commerce_order_total']['type'] = 'commerce_price_formatted_amount';
  $handler->display->display_options['fields']['commerce_order_total']['settings'] = array(
    'calculation' => FALSE,
  );
  $handler->display->display_options['fields']['commerce_order_total']['field_api_classes'] = 0;
  /* Field: Commerce Order: Return Status */
  $handler->display->display_options['fields']['return_status']['id'] = 'return_status';
  $handler->display->display_options['fields']['return_status']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['return_status']['field'] = 'return_status';
  $handler->display->display_options['fields']['return_status']['label'] = 'Status';
  $handler->display->display_options['fields']['return_status']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['return_status']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['return_status']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['return_status']['alter']['external'] = 0;
  $handler->display->display_options['fields']['return_status']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['return_status']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['return_status']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['return_status']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['return_status']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['return_status']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['return_status']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['return_status']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['return_status']['alter']['html'] = 0;
  $handler->display->display_options['fields']['return_status']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['return_status']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['return_status']['hide_empty'] = 0;
  $handler->display->display_options['fields']['return_status']['empty_zero'] = 0;
  $handler->display->display_options['fields']['return_status']['hide_alter_empty'] = 1;
  /* Contextual filter: Commerce Order: Uid */
  $handler->display->display_options['arguments']['uid_1']['id'] = 'uid_1';
  $handler->display->display_options['arguments']['uid_1']['table'] = 'commerce_order';
  $handler->display->display_options['arguments']['uid_1']['field'] = 'uid';
  $handler->display->display_options['arguments']['uid_1']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['uid_1']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['uid_1']['default_argument_skip_url'] = 0;
  $handler->display->display_options['arguments']['uid_1']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['uid_1']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['uid_1']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['uid_1']['specify_validation'] = 1;
  $handler->display->display_options['arguments']['uid_1']['validate']['type'] = 'current_user_or_role';
  $handler->display->display_options['arguments']['uid_1']['validate_options']['restrict_roles'] = '1';
  $handler->display->display_options['arguments']['uid_1']['validate_options']['roles'] = array(
    3 => '3',
  );
  $handler->display->display_options['arguments']['uid_1']['break_phrase'] = 0;
  $handler->display->display_options['arguments']['uid_1']['not'] = 0;
  /* Filter criterion: Commerce Order: Order state */
  $handler->display->display_options['filters']['state']['id'] = 'state';
  $handler->display->display_options['filters']['state']['table'] = 'commerce_order';
  $handler->display->display_options['filters']['state']['field'] = 'state';
  $handler->display->display_options['filters']['state']['operator'] = 'not in';
  $handler->display->display_options['filters']['state']['value'] = array(
    'cart'     => 'cart',
    'checkout' => 'checkout',
  );
  /* Filter criterion: Commerce Order: Order type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'commerce_order';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'commerce_return' => 'commerce_return',
  );
  /* Filter criterion: Commerce Order: Return Status */
  $handler->display->display_options['filters']['return_status']['id'] = 'return_status';
  $handler->display->display_options['filters']['return_status']['table'] = 'commerce_order';
  $handler->display->display_options['filters']['return_status']['field'] = 'return_status';
  $handler->display->display_options['filters']['return_status']['operator'] = 'not in';
  $handler->display->display_options['filters']['return_status']['value'] = array(
    'return_remove' => 'return_remove',
  );

  /* Display: User returns */
  $handler = $view->new_display('page', 'User returns', 'order_page');
  $handler->display->display_options['display_description'] = 'Default view to display user returns';
  $handler->display->display_options['path'] = 'user/%/returns';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Returns';
  $handler->display->display_options['menu']['weight'] = '16';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['tab_options']['type'] = 'normal';
  $handler->display->display_options['tab_options']['title'] = 'Orders';
  $handler->display->display_options['tab_options']['description'] = 'User orders in the store.';
  $handler->display->display_options['tab_options']['weight'] = '';
  $handler->display->display_options['tab_options']['name'] = 'user-menu';
  $translatables['user_returns'] = array(
    t('Defaults'),
    t('Returns'),
    t('more'),
    t('Apply'),
    t('Reset'),
    t('Sort by'),
    t('Asc'),
    t('Desc'),
    t('Items per page'),
    t('- All -'),
    t('Offset'),
    t('You have not placed any returns with us yet.'),
    t('Commerce Order entity referenced from commerce_order_reference'),
    t('Return number'),
    t('user/!1/returns/[order_id]'),
    t('Order number'),
    t('Created'),
    t('Updated date'),
    t('Total to Refund'),
    t('Status'),
    t('All'),
    t('User returns'),
    t('Default view to display user returns'),
  );

  // Add User returns view.
  $views[$view->name] = $view;

  // Ensure $view and $handler variables are empty.
  unset($view);
  unset($handler);

  $view = new view();
  $view->name = 'returns';
  $view->description = 'Display a list of orders for the store admin.';
  $view->tag = 'commerce';
  $view->base_table = 'commerce_order';
  $view->human_name = 'Returns';
  $view->core = 0;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['title'] = 'Returns';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'view any commerce_order entity of bundle commerce_return';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['submit_button'] = 'Filter';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = 50;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'order_id' => 'order_id',
    'order_number' => 'order_number',
    'order_number_1' => 'order_number_1',
    'created' => 'created',
    'commerce_customer_address' => 'commerce_customer_address',
    'name' => 'name',
    'commerce_order_total' => 'commerce_order_total',
    'status' => 'status',
    'return_operations' => 'return_operations',
  );
  $handler->display->display_options['style_options']['default'] = 'order_number';
  $handler->display->display_options['style_options']['info'] = array(
    'order_id' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'order_number' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'order_number_1' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'created' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'commerce_customer_address' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'name' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'commerce_order_total' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'status' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'return_operations' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['style_options']['empty_table'] = TRUE;
  /* No results behavior: Commerce Order: Empty text */
  $handler->display->display_options['empty']['return_empty_text']['id'] = 'return_empty_text';
  $handler->display->display_options['empty']['return_empty_text']['table'] = 'commerce_order';
  $handler->display->display_options['empty']['return_empty_text']['field'] = 'return_empty_text';
  /* Relationship: Commerce Order: Owner */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'commerce_order';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['commerce_order_reference_target_id']['id'] = 'commerce_order_reference_target_id';
  $handler->display->display_options['relationships']['commerce_order_reference_target_id']['table'] = 'field_data_commerce_order_reference';
  $handler->display->display_options['relationships']['commerce_order_reference_target_id']['field'] = 'commerce_order_reference_target_id';
  /* Field: Commerce Order: Order ID */
  $handler->display->display_options['fields']['order_id']['id'] = 'order_id';
  $handler->display->display_options['fields']['order_id']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['order_id']['field'] = 'order_id';
  $handler->display->display_options['fields']['order_id']['label'] = '';
  $handler->display->display_options['fields']['order_id']['exclude'] = TRUE;
  $handler->display->display_options['fields']['order_id']['element_label_colon'] = FALSE;
  /* Field: Commerce Order: Order number */
  $handler->display->display_options['fields']['order_number']['id'] = 'order_number';
  $handler->display->display_options['fields']['order_number']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['order_number']['field'] = 'order_number';
  $handler->display->display_options['fields']['order_number']['label'] = 'Return number';
  $handler->display->display_options['fields']['order_number']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['order_number']['alter']['path'] = 'admin/commerce/returns/[order_id]';
  /* Field: Commerce Order: Order number */
  $handler->display->display_options['fields']['order_number_1']['id'] = 'order_number_1';
  $handler->display->display_options['fields']['order_number_1']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['order_number_1']['field'] = 'order_number';
  $handler->display->display_options['fields']['order_number_1']['relationship'] = 'commerce_order_reference_target_id';
  $handler->display->display_options['fields']['order_number_1']['link_to_order'] = 'admin';
  /* Field: Commerce Order: Created date */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['label'] = 'Created';
  $handler->display->display_options['fields']['created']['date_format'] = 'medium';
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'uid';
  $handler->display->display_options['fields']['name']['label'] = 'User';
  /* Field: Commerce Order: Total to refund */
  $handler->display->display_options['fields']['commerce_order_total']['id'] = 'commerce_order_total';
  $handler->display->display_options['fields']['commerce_order_total']['table'] = 'field_data_commerce_order_total';
  $handler->display->display_options['fields']['commerce_order_total']['field'] = 'commerce_order_total';
  $handler->display->display_options['fields']['commerce_order_total']['label'] = 'Total to Refund';
  $handler->display->display_options['fields']['commerce_order_total']['click_sort_column'] = 'amount';
  $handler->display->display_options['fields']['commerce_order_total']['type'] = 'commerce_price_formatted_amount';
  $handler->display->display_options['fields']['commerce_order_total']['settings'] = array(
    'calculation' => FALSE,
  );
  /* Field: Commerce Order: Return Status */
  $handler->display->display_options['fields']['return_status']['id'] = 'return_status';
  $handler->display->display_options['fields']['return_status']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['return_status']['field'] = 'return_status';
  $handler->display->display_options['fields']['return_status']['label'] = 'Status';
  $handler->display->display_options['fields']['return_status']['hide_alter_empty'] = FALSE;
  /* Field: Commerce Order: Returns Operations links */
  $handler->display->display_options['fields']['return_operations']['id'] = 'return_operations';
  $handler->display->display_options['fields']['return_operations']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['return_operations']['field'] = 'return_operations';
  $handler->display->display_options['fields']['return_operations']['label'] = 'Operations links';
  /* Filter criterion: Commerce Order: Order state */
  $handler->display->display_options['filters']['state']['id'] = 'state';
  $handler->display->display_options['filters']['state']['table'] = 'commerce_order';
  $handler->display->display_options['filters']['state']['field'] = 'state';
  $handler->display->display_options['filters']['state']['operator'] = 'not in';
  $handler->display->display_options['filters']['state']['value'] = array(
    'cart' => 'cart',
    'checkout' => 'checkout',
  );
  $handler->display->display_options['filters']['state']['group'] = 1;
  $handler->display->display_options['filters']['state']['expose']['label'] = 'Order state';
  $handler->display->display_options['filters']['state']['expose']['use_operator'] = TRUE;
  $handler->display->display_options['filters']['state']['expose']['operator'] = 'state_op';
  $handler->display->display_options['filters']['state']['expose']['identifier'] = 'state';
  /* Filter criterion: Commerce Order: Order type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'commerce_order';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'commerce_return' => 'commerce_return',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Commerce Order: Order number */
  $handler->display->display_options['filters']['order_number']['id'] = 'order_number';
  $handler->display->display_options['filters']['order_number']['table'] = 'commerce_order';
  $handler->display->display_options['filters']['order_number']['field'] = 'order_number';
  $handler->display->display_options['filters']['order_number']['group'] = 1;
  $handler->display->display_options['filters']['order_number']['exposed'] = TRUE;
  $handler->display->display_options['filters']['order_number']['expose']['operator_id'] = 'order_number_op';
  $handler->display->display_options['filters']['order_number']['expose']['label'] = 'Number';
  $handler->display->display_options['filters']['order_number']['expose']['operator'] = 'order_number_op';
  $handler->display->display_options['filters']['order_number']['expose']['identifier'] = 'order_number';
  /* Filter criterion: Commerce Order: Return Status */
  $handler->display->display_options['filters']['return_status_1']['id'] = 'return_status_1';
  $handler->display->display_options['filters']['return_status_1']['table'] = 'commerce_order';
  $handler->display->display_options['filters']['return_status_1']['field'] = 'return_status';
  $handler->display->display_options['filters']['return_status_1']['operator'] = 'not in';
  $handler->display->display_options['filters']['return_status_1']['value'] = array(
    'return_remove' => 'return_remove',
  );
  $handler->display->display_options['filters']['return_status_1']['group'] = 1;
  /* Filter criterion: Commerce Order: Return Status */
  $handler->display->display_options['filters']['return_status']['id'] = 'return_status';
  $handler->display->display_options['filters']['return_status']['table'] = 'commerce_order';
  $handler->display->display_options['filters']['return_status']['field'] = 'return_status';
  $handler->display->display_options['filters']['return_status']['value'] = array(
    'all' => 'all',
    'return_processing' => 'return_processing',
    'return_confirmed' => 'return_confirmed',
    'return_refused' => 'return_refused',
    'return_completed' => 'return_completed',
    'return_canceled' => 'return_canceled',
  );
  $handler->display->display_options['filters']['return_status']['exposed'] = TRUE;
  $handler->display->display_options['filters']['return_status']['expose']['operator_id'] = 'return_status_op';
  $handler->display->display_options['filters']['return_status']['expose']['label'] = 'Status';
  $handler->display->display_options['filters']['return_status']['expose']['operator'] = 'return_status_op';
  $handler->display->display_options['filters']['return_status']['expose']['identifier'] = 'return_status';
  $handler->display->display_options['filters']['return_status']['expose']['reduce'] = TRUE;
  /* Filter criterion: Commerce Order: Created date */
  $handler->display->display_options['filters']['created']['id'] = 'created';
  $handler->display->display_options['filters']['created']['table'] = 'commerce_order';
  $handler->display->display_options['filters']['created']['field'] = 'created';
  $handler->display->display_options['filters']['created']['operator'] = 'between';
  $handler->display->display_options['filters']['created']['exposed'] = TRUE;
  $handler->display->display_options['filters']['created']['expose']['operator_id'] = 'created_op';
  $handler->display->display_options['filters']['created']['expose']['label'] = 'Date';
  $handler->display->display_options['filters']['created']['expose']['operator'] = 'created_op';
  $handler->display->display_options['filters']['created']['expose']['identifier'] = 'return_created';

  /* Display: Admin page */
  $handler = $view->new_display('page', 'Admin page', 'admin_page');
  $handler->display->display_options['path'] = 'admin/commerce/returns/list';
  $handler->display->display_options['menu']['type'] = 'default tab';
  $handler->display->display_options['menu']['title'] = 'Returns';
  $handler->display->display_options['menu']['weight'] = '-10';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['tab_options']['type'] = 'normal';
  $handler->display->display_options['tab_options']['title'] = 'Returns';
  $handler->display->display_options['tab_options']['description'] = 'Manage returns in the store.';
  $handler->display->display_options['tab_options']['weight'] = '';
  $handler->display->display_options['tab_options']['name'] = 'management';
  $translatables['returns'] = array(
    t('Defaults'),
    t('Returns'),
    t('more'),
    t('Filter'),
    t('Reset'),
    t('Sort by'),
    t('Asc'),
    t('Desc'),
    t('Items per page'),
    t('- All -'),
    t('Offset'),
    t('« first'),
    t('‹ previous'),
    t('next ›'),
    t('last »'),
    t('Order owner'),
    t('Commerce Order entity referenced from commerce_order_reference'),
    t('Return number'),
    t('Order number'),
    t('Created'),
    t('User'),
    t('Total to Refund'),
    t('Status'),
    t('Operations links'),
    t('Order state'),
    t('Number'),
    t('Date'),
    t('Admin page'),
  );

  // Add admin returns view.
  $views[$view->name] = $view;

  // Ensure $view and $handler variables are empty.
  unset($view);
  unset($handler);

  $view = new view();
  $view->name = 'order_returns';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'commerce_order';
  $view->human_name = 'Order returns';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Order returns';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'rma';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '10';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'entity';
  $handler->display->display_options['row_options']['view_mode'] = 'administrator';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['commerce_order_reference_target_id']['id'] = 'commerce_order_reference_target_id';
  $handler->display->display_options['relationships']['commerce_order_reference_target_id']['table'] = 'field_data_commerce_order_reference';
  $handler->display->display_options['relationships']['commerce_order_reference_target_id']['field'] = 'commerce_order_reference_target_id';
  $handler->display->display_options['relationships']['commerce_order_reference_target_id']['required'] = TRUE;
  /* Field: Commerce Order: Order ID */
  $handler->display->display_options['fields']['order_id']['id'] = 'order_id';
  $handler->display->display_options['fields']['order_id']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['order_id']['field'] = 'order_id';
  /* Contextual filter: Commerce Order: Order ID */
  $handler->display->display_options['arguments']['order_id']['id'] = 'order_id';
  $handler->display->display_options['arguments']['order_id']['table'] = 'commerce_order';
  $handler->display->display_options['arguments']['order_id']['field'] = 'order_id';
  $handler->display->display_options['arguments']['order_id']['relationship'] = 'commerce_order_reference_target_id';
  $handler->display->display_options['arguments']['order_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['order_id']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['order_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['order_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['order_id']['summary_options']['items_per_page'] = '25';
  /* Filter criterion: Commerce Order: Order type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'commerce_order';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'commerce_return' => 'commerce_return',
  );

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'admin_order_returns');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['path'] = 'admin/commerce/orders/%/returns/list';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Return(s)';
  $handler->display->display_options['menu']['weight'] = '50';
  $handler->display->display_options['menu']['name'] = 'management';
  $handler->display->display_options['menu']['context'] = 0;

  // Add the admin order returns view.
  $views[$view->name] = $view;

  return $views;
}


/**
 * Implements hook_views_default_views_alter().
 *
 * Alter commerce_order default views in order
 * to add the "return products" link.
 */
function commerce_rma_ui_views_default_views_alter(&$views) {
  // Add filter criterion [order.type <> commerce_return] on commerce_order
  // based table views.
  foreach ($views as $view) {
    if ($view->base_table == 'commerce_order' && isset($view->export_module)) {
      if ($view->export_module != 'commerce_rma_ui') {
        // Get handler object.
        $handler = $view->display['default']->handler;

        /* Filter criterion: Commerce Order: Order type */
        $handler->display->display_options['filters']['type']['id'] = 'type';
        $handler->display->display_options['filters']['type']['table'] = 'commerce_order';
        $handler->display->display_options['filters']['type']['field'] = 'type';
        $handler->display->display_options['filters']['type']['operator'] = 'not in';
        $handler->display->display_options['filters']['type']['value'] = array(
          'commerce_return' => 'commerce_return',
        );
      }
    }
  }

  if (isset($views['commerce_user_orders'])) {
    // Get handler object.
    $handler = $views['commerce_user_orders']->display['default']->handler;

    /* Filter criterion: Commerce Order: Order type */
    $handler->display->display_options['filters']['type']['id'] = 'type';
    $handler->display->display_options['filters']['type']['table'] = 'commerce_order';
    $handler->display->display_options['filters']['type']['field'] = 'type';
    $handler->display->display_options['filters']['type']['operator'] = 'not in';
    $handler->display->display_options['filters']['type']['value'] = array(
      'commerce_return' => 'commerce_return',
    );

    // Add "Return products" link to the default view "commerce_user_orders".
    $handler->display->display_options['fields']['return_products_link']['id'] = 'return_products_link';
    $handler->display->display_options['fields']['return_products_link']['table'] = 'commerce_order';
    $handler->display->display_options['fields']['return_products_link']['field'] = 'return_products_link';
    $handler->display->display_options['fields']['return_products_link']['alter']['alter_text'] = 0;
    $handler->display->display_options['fields']['return_products_link']['alter']['make_link'] = 0;
    $handler->display->display_options['fields']['return_products_link']['alter']['absolute'] = 0;
    $handler->display->display_options['fields']['return_products_link']['alter']['external'] = 0;
    $handler->display->display_options['fields']['return_products_link']['alter']['replace_spaces'] = 0;
    $handler->display->display_options['fields']['return_products_link']['alter']['trim_whitespace'] = 0;
    $handler->display->display_options['fields']['return_products_link']['alter']['nl2br'] = 0;
    $handler->display->display_options['fields']['return_products_link']['alter']['word_boundary'] = 1;
    $handler->display->display_options['fields']['return_products_link']['alter']['ellipsis'] = 1;
    $handler->display->display_options['fields']['return_products_link']['alter']['more_link'] = 0;
    $handler->display->display_options['fields']['return_products_link']['alter']['strip_tags'] = 0;
    $handler->display->display_options['fields']['return_products_link']['alter']['trim'] = 0;
    $handler->display->display_options['fields']['return_products_link']['alter']['html'] = 0;
    $handler->display->display_options['fields']['return_products_link']['element_label_colon'] = 1;
    $handler->display->display_options['fields']['return_products_link']['element_default_classes'] = 1;
    $handler->display->display_options['fields']['return_products_link']['hide_empty'] = 1;
    $handler->display->display_options['fields']['return_products_link']['empty_zero'] = 0;
    $handler->display->display_options['fields']['return_products_link']['hide_alter_empty'] = 1;
    $handler->display->display_options['style_options']['info'] = array(
      'order_number'         => array(
        'sortable'           => 1,
        'default_sort_order' => 'desc',
        'align'              => '',
        'separator'          => '',
        'empty_column'       => 0,
      ),
      'created'              => array(
        'sortable'           => 1,
        'default_sort_order' => 'desc',
        'align'              => '',
        'separator'          => '',
        'empty_column'       => 0,
      ),
      'changed'              => array(
        'sortable'           => 1,
        'default_sort_order' => 'desc',
        'align'              => '',
        'separator'          => '',
        'empty_column'       => 0,
      ),
      'commerce_order_total' => array(
        'sortable'           => 0,
        'default_sort_order' => 'asc',
        'align'              => '',
        'separator'          => '',
        'empty_column'       => 0,
      ),
      'status'               => array(
        'sortable'           => 1,
        'default_sort_order' => 'asc',
        'align'              => '',
        'separator'          => '',
        'empty_column'       => 0,
      ),
      'return_products_link' => array(
        'sortable'           => 0,
        'default_sort_order' => 'asc',
        'align'              => '',
        'separator'          => '',
        'empty_column'       => 1,
      ),
    );
  }

  if (isset($views['commerce_line_item_table'])) {

    $view = $views['commerce_line_item_table'];

    /* Display: Returns */
    $handler = $view->new_display('default', 'Returns', 'return');
    $handler->display->display_options['display_description'] = 'Displaying line items for a return.';
    $handler->display->display_options['use_more_always'] = FALSE;
    $handler->display->display_options['access']['type'] = 'none';
    $handler->display->display_options['cache']['type'] = 'none';
    $handler->display->display_options['query']['type'] = 'views_query';
    $handler->display->display_options['query']['options']['query_comment'] = FALSE;
    $handler->display->display_options['exposed_form']['type'] = 'basic';
    $handler->display->display_options['pager']['type'] = 'none';
    $handler->display->display_options['style_plugin'] = 'table';
    $handler->display->display_options['style_options']['columns'] = array(
      'line_item_id'        => 'line_item_id',
      'type'                => 'type',
      'line_item_title'     => 'line_item_title',
      'line_item_label'     => 'line_item_title',
      'quantity'            => 'quantity',
      'commerce_unit_price' => 'commerce_unit_price',
      'commerce_total'      => 'commerce_total',
      'return_reasons'      => 'return_reasons',
      'return_status'       => 'return_status',
    );
    $handler->display->display_options['style_options']['default'] = '-1';
    $handler->display->display_options['style_options']['info'] = array(
      'line_item_id'        => array(
        'sortable'           => 0,
        'default_sort_order' => 'asc',
        'align'              => '',
        'separator'          => '',
        'empty_column'       => 0,
      ),
      'type'                => array(
        'sortable'           => 0,
        'default_sort_order' => 'asc',
        'align'              => '',
        'separator'          => '',
        'empty_column'       => 0,
      ),
      'line_item_title'     => array(
        'align'        => '',
        'separator'    => ' ',
        'empty_column' => 0,
      ),
      'line_item_label'     => array(
        'sortable'           => 0,
        'default_sort_order' => 'asc',
        'align'              => '',
        'separator'          => '',
        'empty_column'       => 0,
      ),
      'quantity'            => array(
        'sortable'           => 0,
        'default_sort_order' => 'asc',
        'align'              => '',
        'separator'          => '',
        'empty_column'       => 0,
      ),
      'commerce_unit_price' => array(
        'sortable'           => 0,
        'default_sort_order' => 'asc',
        'align'              => '',
        'separator'          => '',
        'empty_column'       => 0,
      ),
      'commerce_total'      => array(
        'sortable'           => 0,
        'default_sort_order' => 'asc',
        'align'              => 'views-align-right',
        'separator'          => '',
        'empty_column'       => 0,
      ),
      'return_reasons'      => array(
        'align'        => '',
        'separator'    => '',
        'empty_column' => 0,
      ),
      'return_status'       => array(
        'align'        => '',
        'separator'    => '',
        'empty_column' => 1,
      ),
    );
    /* No results behavior: Global: Text area */
    $handler->display->display_options['empty']['area']['id'] = 'area';
    $handler->display->display_options['empty']['area']['table'] = 'views';
    $handler->display->display_options['empty']['area']['field'] = 'area';
    $handler->display->display_options['empty']['area']['label'] = 'Empty line item text.';
    $handler->display->display_options['empty']['area']['content'] = 'No line items found.';
    $handler->display->display_options['empty']['area']['format'] = 'plain_text';
    /* Field: Commerce Line Item: Line item ID */
    $handler->display->display_options['fields']['line_item_id']['id'] = 'line_item_id';
    $handler->display->display_options['fields']['line_item_id']['table'] = 'commerce_line_item';
    $handler->display->display_options['fields']['line_item_id']['field'] = 'line_item_id';
    $handler->display->display_options['fields']['line_item_id']['label'] = 'ID';
    $handler->display->display_options['fields']['line_item_id']['exclude'] = TRUE;
    /* Field: Commerce Line Item: Type */
    $handler->display->display_options['fields']['type']['id'] = 'type';
    $handler->display->display_options['fields']['type']['table'] = 'commerce_line_item';
    $handler->display->display_options['fields']['type']['field'] = 'type';
    $handler->display->display_options['fields']['type']['exclude'] = TRUE;
    /* Field: Commerce Line Item: Title */
    $handler->display->display_options['fields']['line_item_title']['id'] = 'line_item_title';
    $handler->display->display_options['fields']['line_item_title']['table'] = 'commerce_line_item';
    $handler->display->display_options['fields']['line_item_title']['field'] = 'line_item_title';
    /* Field: Commerce Line Item: Label */
    $handler->display->display_options['fields']['line_item_label']['id'] = 'line_item_label';
    $handler->display->display_options['fields']['line_item_label']['table'] = 'commerce_line_item';
    $handler->display->display_options['fields']['line_item_label']['field'] = 'line_item_label';
    $handler->display->display_options['fields']['line_item_label']['alter']['alter_text'] = TRUE;
    $handler->display->display_options['fields']['line_item_label']['alter']['text'] = '([line_item_label])';
    /* Field: Commerce Line Item: Quantity */
    $handler->display->display_options['fields']['quantity']['id'] = 'quantity';
    $handler->display->display_options['fields']['quantity']['table'] = 'commerce_line_item';
    $handler->display->display_options['fields']['quantity']['field'] = 'quantity';
    $handler->display->display_options['fields']['quantity']['precision'] = '0';
    /* Field: Commerce Line item: Unit price */
    $handler->display->display_options['fields']['commerce_unit_price']['id'] = 'commerce_unit_price';
    $handler->display->display_options['fields']['commerce_unit_price']['table'] = 'field_data_commerce_unit_price';
    $handler->display->display_options['fields']['commerce_unit_price']['field'] = 'commerce_unit_price';
    $handler->display->display_options['fields']['commerce_unit_price']['click_sort_column'] = 'amount';
    $handler->display->display_options['fields']['commerce_unit_price']['type'] = 'commerce_price_formatted_amount';
    /* Field: Commerce Line item: Total */
    $handler->display->display_options['fields']['commerce_total']['id'] = 'commerce_total';
    $handler->display->display_options['fields']['commerce_total']['table'] = 'field_data_commerce_total';
    $handler->display->display_options['fields']['commerce_total']['field'] = 'commerce_total';
    $handler->display->display_options['fields']['commerce_total']['click_sort_column'] = 'amount';
    $handler->display->display_options['fields']['commerce_total']['type'] = 'commerce_price_formatted_amount';
    /* Field: Commerce Line Item: Return reasons */
    $handler->display->display_options['fields']['return_reasons']['id'] = 'return_reasons';
    $handler->display->display_options['fields']['return_reasons']['table'] = 'commerce_line_item';
    $handler->display->display_options['fields']['return_reasons']['field'] = 'return_reasons';
    /* Field: Commerce Line Item: Return status */
    $handler->display->display_options['fields']['return_status']['id'] = 'return_status';
    $handler->display->display_options['fields']['return_status']['table'] = 'commerce_line_item';
    $handler->display->display_options['fields']['return_status']['field'] = 'return_status';
    /* Sort criterion: Commerce Line Item: Line item ID */
    $handler->display->display_options['sorts']['line_item_id']['id'] = 'line_item_id';
    $handler->display->display_options['sorts']['line_item_id']['table'] = 'commerce_line_item';
    $handler->display->display_options['sorts']['line_item_id']['field'] = 'line_item_id';
    /* Contextual filter: Commerce Line Item: Line item ID */
    $handler->display->display_options['arguments']['line_item_id']['id'] = 'line_item_id';
    $handler->display->display_options['arguments']['line_item_id']['table'] = 'commerce_line_item';
    $handler->display->display_options['arguments']['line_item_id']['field'] = 'line_item_id';
    $handler->display->display_options['arguments']['line_item_id']['default_action'] = 'empty';
    $handler->display->display_options['arguments']['line_item_id']['default_argument_type'] = 'fixed';
    $handler->display->display_options['arguments']['line_item_id']['summary']['number_of_records'] = '0';
    $handler->display->display_options['arguments']['line_item_id']['summary']['format'] = 'default_summary';
    $handler->display->display_options['arguments']['line_item_id']['summary_options']['items_per_page'] = '25';
    $handler->display->display_options['arguments']['line_item_id']['break_phrase'] = TRUE;
    /* Filter criterion: Commerce Line Item: Line item is of a product line item type */
    $handler->display->display_options['filters']['product_line_item_type']['id'] = 'product_line_item_type';
    $handler->display->display_options['filters']['product_line_item_type']['table'] = 'commerce_line_item';
    $handler->display->display_options['filters']['product_line_item_type']['field'] = 'product_line_item_type';
    $handler->display->display_options['filters']['product_line_item_type']['value'] = '1';
    $translatables['commerce_line_item_table'] = array(
      t('Defaults'),
      t('more'),
      t('Apply'),
      t('Reset'),
      t('Sort by'),
      t('Asc'),
      t('Desc'),
      t('Empty line item text.'),
      t('No line items found.'),
      t('ID'),
      t('Type'),
      t('Title'),
      t('Label'),
      t('([line_item_label])'),
      t('Quantity'),
      t('.'),
      t(','),
      t('Unit price'),
      t('Total'),
      t('All'),
      t('Returns'),
      t('Displaying line items for a return.'),
      t('Return reasons'),
      t('Return status'),
    );
  }
}
