<?php

/**
 * @file
 * Field handler to present return reasons from a line item.
 */

class commerce_rma_handler_field_line_item_return_reasons extends views_handler_field_custom {
  /**
   * The class contructor.
   */
  public function construct() {
    parent::construct();
    $this->additional_fields['data'] = 'data';
  }

  /**
   * Query callback.
   */
  public function query() {
    $this->ensure_my_table();
    $this->add_additional_fields();
  }

  /**
   * Renders the handler.
   *
   * @param array $values
   *   View's values.
   *
   * @return string
   *   Renders the return reason.
   */
  public function render($values) {
    // Get $data from line item and unserialize it.
    $data = unserialize($this->get_value($values, 'data'));

    $return_reason = FALSE;
    $return_reasons = commerce_rma_return_reasons();

    if (!empty($data['other_reason'])) {
      $return_reason = t('Other: ') . $data['other_reason'];
    }
    elseif (!empty($data['return_reason'])) {
      $return_reason = $return_reasons[$data['return_reason']]['title'];
    }

    if ($return_reason) {
      return $return_reason;
    }
    else {
      return '';
    }
  }
}
