<?php

/**
 * @file
 * Field handler to present return status from a line item.
 */

class commerce_rma_handler_field_line_item_return_status extends views_handler_field_custom {
  /**
   * The class constructor.
   */
  public function construct() {
    parent::construct();
    $this->additional_fields['data'] = 'data';
  }

  /**
   * Query callback.
   */
  public function query() {
    $this->ensure_my_table();
    $this->add_additional_fields();
  }

  /**
   * Renders the return status.
   *
   * @param array $values
   *   View's values.
   *
   * @return string
   *   Renders the return status if found.
   */
  public function render($values) {
    // Get $data from line item and unserialize it.
    $data = unserialize($this->get_value($values, 'data'));

    $status = FALSE;
    $statuses = commerce_rma_get_line_items_return_statuses();

    if (!empty($data['return_status_not_comply'])) {
      $status = t('Return does not comply:') . " " . $data['return_status_not_comply'];
    }
    elseif (!empty($data['return_status'])) {
      $status = $statuses[$data['return_status']]['title'];
    }

    if ($status) {
      return $status;
    }
    else {
      return '';
    }
  }
}
