<?php
/**
 * @file
 * Field handler to present a return's operations links.
 */

class commerce_rma_handler_field_return_return_operations extends views_handler_field {
  /**
   * The class constructor.
   */
  public function construct() {
    parent::construct();

    $this->additional_fields['order_id'] = 'order_id';
  }

  /**
   * Query callback.
   */
  public function query() {
    $this->ensure_my_table();
    $this->add_additional_fields();
  }

  /**
   * Renders the operations item links for a return.
   *
   * @param array $values
   *   View's values.
   *
   * @return string
   *   Returns the links.
   */
  public function render($values) {
    $order_id = $this->get_value($values, 'order_id');
    $links = menu_contextual_links('commerce-rma', 'admin/commerce/returns', array($order_id));

    if (!empty($links)) {
      drupal_add_css(drupal_get_path('module', 'commerce_rma') . '/theme/commerce_rma.admin.css');
      return theme('links', array(
        'links'      => $links,
        'attributes' => array(
          'class' => array(
            'links',
            'inline',
            'operations',
          ),
        ),
      ));
    }
    return '';
  }
}
