<?php
/**
 * @file
 * Field handler to present return status from a return.
 */

class commerce_rma_handler_field_return_return_status extends views_handler_field {
  /**
   * The class constructor.
   */
  public function construct() {
    parent::construct();
    $this->additional_fields['status'] = 'status';
  }

  /**
   * Query callback.
   */
  public function query() {
    $this->ensure_my_table();
    $this->add_additional_fields();
  }

  /**
   * Renders the status of a return.
   *
   * @param array $values
   *   View's values.
   *
   * @return string
   *   Returns the return status title.
   */
  public function render($values) {
    // Get return status from a return.
    $return_status = $this->get_value($values, 'status');

    // Set it to empty string.
    $return_status_title = '';

    // Looking for the status human title.
    foreach (commerce_rma_commerce_return_status_info() as $status_name => $status) {
      if ($status_name == $return_status) {
        $return_status_title = $this->sanitize_value($status['title']);
      }
    }

    return $return_status_title;
  }
}
