<?php
/**
 * @file
 * Filter by return status.
 */

class commerce_rma_handler_filter_return_return_status extends views_handler_filter_in_operator {
  /**
   * The class constructor.
   */
  public function construct() {
    parent::construct();
    // Use the right field from commerce_order.
    $this->real_field = 'status';
  }

  /**
   * Get view's value options.
   *
   * @return array|mixed|void
   *   Returns the option's values.
   */
  public function get_value_options() {
    if (!isset($this->value_options)) {

      $this->value_title = t('Status');

      $order_statuses = array();

      // Build an array containing return statuses.
      foreach (commerce_rma_commerce_return_status_info() as $key => $value) {
        $order_statuses[$key] = $value['title'];
      }

      $this->value_options = $order_statuses;
    }
  }

  /**
   * Exposes a form to configure the handler.
   *
   * @param array $form
   *   The form array.
   * @param array $form_state
   *   The form state array.
   */
  public function exposed_form(&$form, &$form_state) {
    parent::exposed_form($form, $form_state);
  }
}
