/**
 * @file
 * Attach datepicker to a specific input element in order to pick up the right
 * date format.
 */

(function ($) {
  Drupal.behaviors.commerceRma = {
    attach: function (context, settings) {
      // Get input field with name attribute containing "return_created".
      var elements = $('input[name*="return_created"]');

      // If array is not empty, attach datepicker on theses fields.
      if (elements.length > 0) {
        elements.datepicker({
          autoSize: true
        });

        // Adding placeholder attribute
        elements.each(function (key, element) {
          if ($(element).attr('name') == 'return_created[min]') {
            $(element).attr('placeholder', Drupal.t('from'));
          }

          if ($(element).attr('name') == 'return_created[max]') {
            $(element).attr('placeholder', Drupal.t('to'));
          }
        });
      }
    }
  };
})(jQuery);
